// Source:

(function(window){var kzsdk = {};
var ua = navigator.userAgent;

kzsdk.version = "1.2";
kzsdk.plugins = {};
kzsdk.is_android = true;
kzsdk.app_version = /KuaiZhan\w+\/([1-9.]+)/ig.exec(ua)[0];


kzsdk.add_plugin = function (plantform, name, plugin) {
    if (plantform == "android" && kzsdk.is_android) {
        kzsdk.plugins[name] = plugin;
        return true;
    }
    return false;
}
kzsdk.is_debug = false;
kzsdk.debug = function (message) {
    if (kzsdk.is_debug) {
      alert(message);
    }else{
      console && console.log(message);
    }
}

kzsdk.ready = function (params) {
  params.readyCallback();
};

;(function (kzsdk) {

    kzsdk.wxLogin = function (params) {
      window.location.href = "warden://api/wxLogin?appid="+params.appid+"&redirect="+params.redirect;
    };

    kzsdk.wxPay = function (params) {
      window.location.href = "warden://api/wxPay?appid="+params.appid+"&partnerid="
      +params.partnerid+"&prepayid="+params.prepayid+"&noncestr="+params.noncestr+"&timestamp="+params.timestamp+"&sign="+params.sign;
    };

    kzsdk.logout = function (params) {
      window.location.href = "warden://api/logout?redirect="+params.redirect;
    };

    kzsdk.share = function (params) {
      window.location.href = "warden://api/share?title="+params.title+"&content="+params.content
      +"&link="+params.link+"&logo="+params.logo+"&trigger="+params.trigger;
    };

    //录音
    kzsdk.record = function (params) {
      window.kz_record_callback = params.callback;
      window.location.href = "warden://api/record?callback=kz_record_callback";
    };

    //查看图片
    kzsdk.showPictures = function(params){
      window.location.href = "warden://api/showPictures?startPicIndex="+params.startPicIndex+"&pictureUrls="+params.pictureUrls;
    };

    //开启摇一摇
    kzsdk.openShake = function(params){
      window.openshake_callback = params.callback;
      window.location.href = "warden://api/openShake?callback=openshake_callback&voiceOpen="+params.voiceOpen+"&vibrateOpen="+params.vibrateOpen;
    };

    //拍照or本地相册选择
    kzsdk.pictureOperate = function(params){
      window.pic_callback = params.callback;
      window.location.href = "warden://api/pictureOperate?callback=pic_callback"+"&operateType="+params.operateType;
    };

    //视频选择 选择本地视频，本地录制
    kzsdk.videoOperate = function(params){
      window.video_callback = params.callback;
      window.location.href = "warden://api/videoOperate?callback=video_callback"+"&operateType="+params.operateType;
    };

    kzsdk.kzappjump = function (params) {
      window.location.href = "warden://api/kzappjump?params="+params;
    };

    kzsdk.setCommNav = function (params) {
      window.kz_search_callback = params.searchCallback;
      window.kz_drawer_callback = params.rightMenuCallback;
      window.location.href = "warden://api/setCommNav?pageType="+params.pageType+"&pageTitle="+params.pageTitle+"&searchCallback=kz_search_callback&drawerCallback=kz_drawer_callback";
    };

    kzsdk.nativePost = function (params) {
      window.location.href = "warden://api/nativePost?postType="+params.postType+"&forumId="+params.forumId+"&topicId="+params.topicId+"&parentId="+params.parentId+"&placeholder="+params.placeholder;
    };


})(kzsdk);

;(function (kzsdk) {
  if (typeof define === 'function' && define.amd) {
    define('kzsdk', [], function() {
      return kzsdk;
    });
  } else {
    window.kzsdk = kzsdk;
  }
})(kzsdk);

})(window);